#include "hotseatgame/gui/PlayerVsPlayerIntro.h"
#include "gui/GuiSceneManager.h"
#include "PlayerManager.h"
#include "gui/Scene.h"

#include "ui_PlayerVsPlayerIntro.h"

PlayerVsPlayerIntro::PlayerVsPlayerIntro(QWidget *parent) :
    Scene(parent),
    ui(new Ui::PlayerVsPlayerIntro)
{
    ui->setupUi(this);
}

PlayerVsPlayerIntro::~PlayerVsPlayerIntro()
{
    delete ui;
}

void PlayerVsPlayerIntro::on_back_to_menu_clicked()
{
    GuiSceneManager::getInstance().changeScene("main_menu");
}

void PlayerVsPlayerIntro::on_go_next_clicked()
{
    PlayerManager::getInstance().setPlayersNum(2);
    /// TODO - Check if money input correct
    GuiSceneManager::getInstance().changeScene("recruit_army", "0|" + ui->money_->text());
}
